%define module Gtk2-StatusIcon
%define fmodule Gtk2/StatusIcon

Name:    perl-%module
Version: 0.010
Release: %mkrel 8

Summary: Perl module interface to the EggSystemTray library
License: GPL+ or Artistic
Group:   Development/GNOME and GTK+
Url:     http://gtk2-perl.sf.net/
Source0: %module-%version.tar.bz2

BuildRequires: glitz-devel
BuildRequires: gnomeui2-devel
BuildRequires: gtkspell-devel
Buildrequires: perl-devel
BuildRequires: perl-ExtUtils-Depends
BuildRequires: perl-ExtUtils-PkgConfig 
BuildRequires: perl-Glib > 1.00
BuildRequires: perl-Gnome2 >= 1.020-2mdk
BuildRequires: perl-Gtk2

Requires: perl-Gnome2 >= 1.020-2mdk
Requires: gtk+2

%description
This module allows a Perl developer to embed an arbitrary widget in a
System Tray like the Gnome notification area.


%prep
%setup -q -n %module-%version
find -type d -name CVS | rm -rf 

%build
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -Os -s"
perl Makefile.PL INSTALLDIRS=vendor
make OPTIMIZE="$RPM_OPT_FLAGS"
#%make test || :

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root)
%doc NEWS examples/*
%{_mandir}/*/*
%{perl_vendorarch}/%{fmodule}*
%{perl_vendorarch}/%fmodule.pm
%{perl_vendorarch}/auto/%fmodule

%changelog
* Mon Jan 24 2011 jquelin <jquelin> 0.010-8.mga1
+ Revision: 37462
- mageia rebuild
- easier to read buildrequires:
- mageia rebuild
- imported package perl-Gtk2-StatusIcon


* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.010-8mdv2010.0
+ Revision: 430464
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.010-7mdv2009.0
+ Revision: 257185
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.010-5mdv2008.1
+ Revision: 152115
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Jun 22 2007 Thierry Vignaud <tv@mandriva.org> 0.010-4mdv2008.0
+ Revision: 43101
- rebuild


* Fri Sep 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.010-3mdk
- Add another buildRequires

* Fri Sep 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.010-2mdk
- Fix BuildRequires

* Tue Feb 08 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.010-1mdk
- initial release

